# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: Stripe
    class: XC\Stripe\Model\Payment\Stripe
    type: C
    added: true
    orderby: -10300
    countries: [AE, AT, AU, BE, BG, BR, CA, CH, CY, CZ, DE, DK, EE, ES, FI, FR, GB, GI, GR, HK, HR, HU, ID, IE, IN, IT, JP, LI, LT, LU, LV, MT, MX, MY, NL, 'NO', NZ, PL, PT, RO, SE, SG, SI, SK, TH, US]
    translations: [{code: en, name: Stripe, altAdminDescription: 'Enjoy an easy setup right to get an improved checkout completion and competitive processing fees, fight fraud, and expand globally. Stripe is compatible with all types of devices: desktop, tablet, and mobile.'}]
    settings: [{name: payment_methods, value: '["card"]'}, {name: publishKey}, {name: accessToken}, {name: publishKeyTest}, {name: accessTokenTest}, {name: mode, value: live}, {name: type, value: sale}, {name: prefix, value: xcart}, {name: userId}, {name: refreshToken}]
  - service_name: StripeConnect
    class: XC\Stripe\Model\Payment\StripeConnect
    type: C
    orderby: -10301
    countries: [AT, AU, BE, BR, CA, CH, DE, DK, EE, ES, FI, FR, GB, GR, HK, IE, IN, IT, JP, LT, LU, LV, MX, MY, NL, 'NO', NZ, PL, PT, SE, SG, SI, SK, US]
    translations: [{code: en, name: 'Stripe Connect'}, {code: es, name: 'Stripe Connect'}]
    settings: [{name: publishKey}, {name: accessToken}, {name: clientId}, {name: publishKeyTest}, {name: accessTokenTest}, {name: clientIdTest}, {name: mode, value: live}, {name: prefix, value: xcart}]
XLite\Model\LanguageLabel:
  - directives: {allowedModel: XLite\Model\LanguageLabelTranslation}
  - name: 'Activate the (following events) to be sent to the webhook'
    translations: [{code: en, label: 'Activate the <a href="{{url}}" target="_blank">following events</a> to be sent to the webhook.'}, {code: ru, label: 'Активируйте <a href="{{url}}" target="_blank">следующие события</a>, которые будут посылаться на Webhook URL.'}]
  - name: 'The "Stripe" feature is not configured and cannot be used.'
    translations: [{code: en, label: 'The "Stripe" feature is not configured and cannot be used.'}]
  - name: 'The "Stripe" feature requires https to be properly set up for your store.'
    translations: [{code: en, label: 'The "Stripe" feature requires https to be <a href="{{url}}">properly set up</a> for your store.'}]
  - name: 'X items ($)'
    translations: [{code: en, label: '{{count}} items ({{total}})'}, {code: ru, label: '{{count}} товаров ({{total}})'}]
  - name: 'CVC verification: X'
    translations: [{code: en, label: 'CVC verification: {{state}}'}, {code: ru, label: 'Проверка подлинности кредитной карты (CVC): {{state}}'}]
  - name: 'Address line verification: X'
    translations: [{code: en, label: 'Address line verification: {{state}}'}, {code: ru, label: 'Проверка адреса: {{state}}'}]
  - name: 'Address zipcode verification: X'
    translations: [{code: en, label: 'Address zipcode verification: {{state}}'}, {code: ru, label: 'Проверка почтового индекса: {{state}}'}]
  - name: 'Requested transaction type: X; real transaction type: Y'
    translations: [{code: en, label: 'Requested transaction type: {{actual}}; real transaction type: {{real}}'}, {code: ru, label: 'Запрашивалася транзакция типа {{actual}}, а реально была выполнена типа {{real}}'}]
  - name: 'Requested amount: X; real amount: Y'
    translations: [{code: en, label: 'Requested amount: {{actual}}; real amount: {{real}}'}, {code: ru, label: 'Запрашивалось к оплате {{actual}}, а реально было оплачено {{real}}'}]
  - name: 'Requested currency: X; real currency: Y'
    translations: [{code: en, label: 'Requested currency: {{actual}}; real currency: {{real}}'}, {code: ru, label: 'Запрашивалось к оплате сумма в валюте {{actual}}, а реально было оплачено в валюте {{real}}'}]
  - name: 'Copy Webhook URL and go to Account settings'
    translations: [{code: en, label: 'Copy "Webhook URL" and go to <a href="https://dashboard.stripe.com/account/webhooks" target="_blank">Account settings</a>'}, {code: ru, label: 'Скопируйте "Webhook URL" и перейдите в <a href="https://dashboard.stripe.com/account/webhooks" target="_blank">Account settings</a>'}]
  - name: 'Open the page "Webhooks" in the "Developers" section of dashboard.stripe.com: https://dashboard.stripe.com/account/webhooks'
    translations: [{code: en, label: 'Open the page <strong>"Webhooks"</strong> in the <strong>"Developers"</strong> section of dashboard.stripe.com: <a href="https://dashboard.stripe.com/account/webhooks" target="_blank">https://dashboard.stripe.com/account/webhooks</a>'}, {code: ru, label: 'Откройте страницу <strong>"Webhooks"</strong> раздела </strong>"Developers"<strong> на dashboard.stripe.com: <a href="https://dashboard.stripe.com/account/webhooks" target="_blank">https://dashboard.stripe.com/account/webhooks</a>'}]
  - name: 'In the section "Endpoints receiving events from your account", click "+ Add endpoint".'
    translations: [{code: en, label: 'In the section <strong>"Endpoints receiving events from your account"</strong>, click <strong>"+ Add endpoint"</strong>.'}, {code: ru, label: 'В разделе <strong>"Endpoints receiving events from your account"</strong> выберите <strong>"+ Add endpoint"</strong>.'}]
  - name: 'In the form that opens, paste the "Webhook URL" value into the field "URL to be called" and click "Add endpoint".'
    translations: [{code: en, label: 'In the form that opens, paste the <strong>"Webhook URL"</strong> value into the field <strong>"URL to be called"</strong> and click <strong>"Add endpoint"</strong>.'}, {code: ru, label: 'В открывшейся форме вставьте значение <strong>"Webhook URL"</strong> в поле <strong>"URL to be called"</strong> и выберите <strong>"Add endpoint"</strong>'}]
  - name: 'More information on the setup of webhooks is available here: https://stripe.com/docs/webhooks#configuring-your-webhook-settings'
    translations: [{code: en, label: 'More information on the setup of webhooks is available here: <a href="https://stripe.com/docs/webhooks#configuring-your-webhook-settings" target="_blank">https://stripe.com/docs/webhooks#configuring-your-webhook-settings</a>'}, {code: ru, label: 'Больше информации по настройке вебхуков доступно здесь: <a href="https://stripe.com/docs/webhooks#configuring-your-webhook-settings" target="_blank">https://stripe.com/docs/webhooks#configuring-your-webhook-settings</a>'}]
  - name: Disconnect
    translations: [{code: en, label: Disconnect}, {code: ru, label: Разъеденить}]
  - name: 'Status: Connected'
    translations: [{code: en, label: 'Status: <span>Connected</span> ({{mode}})'}, {code: ru, label: 'Статус: <span>Соединено</span> ({{mode}})'}]
  - name: 'Click Connect with Stripe to be redirected to Stripe.com'
    translations: [{code: en, label: 'Click "Connect with Stripe" to be redirected to Stripe.com'}, {code: ru, label: 'Нажмите "Connect with Stripe" чтобы перейти на Stripe.com'}]
  - name: 'Fill out the form with your Company info to setup your account and start processing payments immedately'
    translations: [{code: en, label: '<strong>Complete the form</strong> with your Company info to setup your account and start processing payments immedately.'}, {code: ru, label: '<strong>Заполняйте форму</strong>, имея на руках данные о Вашей компании. После регистрации Вы сможете сразу начать принимать платежи.'}]
  - name: 'Refresh token'
    translations: [{code: en, label: 'Refresh token'}, {code: ru, label: 'Обновить токен'}]
  - name: 'Your Stripe account is no longer accessible. Please connect with Stripe once again.'
    translations: [{code: en, label: 'Your Stripe account is no longer accessible. Please connect with Stripe once again.'}, {code: ru, label: 'Ваш Stripe аккаунт более недоступен. Пожалуста, пройдите соединение со Stripe еще раз.'}]
  - name: 'Webhook URL is your store''s URL through which Stripe informs your store about any changes in the order'
    translations: [{code: en, label: 'Webhook URL is your store''s URL through which Stripe informs your store about any changes in the order. For example, if you refund a payment transaction for a certain amount via Stripe backend, Stripe will send information about this refund to the store using a special request to the Webhook URL, and the store will update the order status to refunded. If Webhook URL is not specified, the store will not know that the order was updated in Stripe backend and the order status in the store will not be updated automatically.'}, {code: ru, label: 'Webhook URL это URL Вашего магазина, через который Stripe оповещает магазин о изменениях в заказе. Например, если вы черезе Stripe backend сделаете refund плоатежной транзакции на некую сумму, то Stripe сообщит об этом магазину при помощи специального запроса к Webhook URL и магазин изменит состояние заказа на refunded. Иначе, если Webhook URL не указан, магазин об этом не узнает и закза не изменит свое состояние автоматически.'}]
  - name: 'URL is copied'
    translations: [{code: en, label: 'URL is copied'}, {code: ru, label: 'URL скопирован'}]
  - name: 'Show "How to use" instruction'
    translations: [{code: en, label: 'Show "How to use" instruction'}, {code: ru, label: 'Показать инструкцию'}]
  - name: 'Hide "How to use" instruction'
    translations: [{code: en, label: 'Hide "How to use" instruction'}, {code: ru, label: 'Спрятать инструкцию'}]
  - name: 'Don''t have an account?'
    translations: [{code: en, label: 'Don''t have an account?'}]
  - name: 'Publishable key'
    translations: [{code: en, label: 'Publishable key'}]
  - name: 'Publishable key (test mode)'
    translations: [{code: en, label: 'Publishable key (test mode)'}]
  - name: 'Secret key (test mode)'
    translations: [{code: en, label: 'Secret key (test mode)'}]
  - name: 'The "StripeConnect" cannot work with "Stripe" at the same time'
    translations: [{code: en, label: 'The "StripeConnect" cannot work with "Stripe" at the same time'}]
  - name: 'To enable this payment method, you need <Multi-vendor> module installed.'
    translations: [{code: en, label: 'To enable this payment method, you need <a href="{{link}}" target="_blank">Multi-Vendor</a> module installed.'}]
  - name: 'Unable to create authorization link'
    translations: [{code: en, label: 'Unable to create authorization link'}]
  - name: 'Client ID'
    translations: [{code: en, label: 'Client ID'}]
  - name: 'Client ID (Test mode)'
    translations: [{code: en, label: 'Client ID (Test mode)'}]
  - name: 'Stripe Connect Client ID help'
    translations: [{code: en, label: 'To give the vendors ability to successfully register their Stripe accounts in the Financial Info tab in their dashboards: <ol><li>- Specify the Client ID</li><li>- Specify the X-Cart store URI <code>{{link}}</code> in the "Redirects" section in your Stripe Account.</li></ol><br>You can find your client_ids and "Redirects" section in your Stripe dashboard at <a target="_blank" href="https://dashboard.stripe.com/account/applications/settings">https://dashboard.stripe.com/account/applications/settings</a>'}]
  - name: 'Stripe Connect Account'
    translations: [{code: en, label: 'Stripe Connect Account'}]
  - name: 'Stripe connection unavailable'
    translations: [{code: en, label: 'Connection unavailable'}]
  - name: 'Stripe Account ID: {{stripeAccountId}}'
    translations: [{code: en, label: 'Stripe Account ID: {{stripeAccountId}}'}]
  - name: 'Stripe not connected'
    translations: [{code: en, label: 'Not connected'}]
  - name: 'Stripe Account ID'
    translations: [{code: en, label: 'Stripe Account ID'}]
  - name: 'Stripe Connect result code was not received'
    translations: [{code: en, label: 'Stripe Connect result code was not received'}]
  - name: 'Stripe account ID have been saved'
    translations: [{code: en, label: 'Stripe account ID have been saved'}]
  - name: 'Stripe account has been successfully disconnected'
    translations: [{code: en, label: 'Stripe account has been successfully disconnected'}]
  - name: 'Stripe account has not been disconnected'
    translations: [{code: en, label: 'Stripe account has not been disconnected'}]
  - name: 'Disconnect stripe account'
    translations: [{code: en, label: Disconnect}]
  - name: 'You can connect existing Stripe account or create a new one on the [Financial Info page].'
    translations: [{code: en, label: 'You can connect existing Stripe account or create a new one on the <a href="{{financialTabURL}}">Financial Info page</a>.'}]
  - name: 'To accept online payments, you need a Stripe accountt'
    translations: [{code: en, label: 'To accept online payments, you need a Stripe account'}]
  - name: 'Get an improved checkout completion, fight fraud, and expand globally.'
    translations: [{code: en, label: 'Get an improved checkout completion, fight fraud, and expand globally.'}]
  - name: 'Credit card'
    translations: [{code: en, label: 'Credit card'}]
  - name: Alipay
    translations: [{code: en, label: Alipay}]
  - name: GrabPay
    translations: [{code: en, label: GrabPay}]
  - name: FPX
    translations: [{code: en, label: FPX}]
  - name: 'At least one of these payment methods should be turned ON.'
    translations: [{code: en, label: 'At least one of these payment methods should be turned ON.'}]
  - name: 'At least one payment method should be turned ON.'
    translations: [{code: en, label: 'At least one payment method should be turned ON.'}]
  - name: 'Afterpay and Clearpay'
    translations: [{code: en, label: 'Afterpay and Clearpay'}]
  - name: Bancontact
    translations: [{code: en, label: Bancontact}]
  - name: Boleto
    translations: [{code: en, label: Boleto}]
  - name: BLIK
    translations: [{code: en, label: BLIK}]
  - name: EPS
    translations: [{code: en, label: EPS}]
  - name: GiroPay
    translations: [{code: en, label: GiroPay}]
  - name: iDeal
    translations: [{code: en, label: iDEAL}]
  - name: Konbini
    translations: [{code: en, label: Konbini}]
  - name: Klarna
    translations: [{code: en, label: Klarna}]
  - name: OXXO
    translations: [{code: en, label: OXXO}]
  - name: 'Pay now'
    translations: [{code: en, label: PayNow}]
  - name: Pix
    translations: [{code: en, label: Pix}]
  - name: PromptPay
    translations: [{code: en, label: PromptPay}]
  - name: Przelewy24
    translations: [{code: en, label: Przelewy24}]
  - name: Sepa
    translations: [{code: en, label: SEPA}]
  - name: 'WeChat Pay'
    translations: [{code: en, label: 'WeChat Pay'}]
